/*
 *   IBM Omni driver
 *   Copyright (c) International Business Machines Corp., 2002
 *
 *   This library is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU Lesser General Public License as published
 *   by the Free Software Foundation; either version 2.1 of the License, or
 *   (at your option) any later version.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See
 *   the GNU Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public License
 *   along with this library; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
#ifndef _DriverInfo
#define _DriverInfo

#include "Driver.hpp"

#define PDC 1
#ifdef PDC
#include "OmniPDCProxy.hpp"
#else
#include "Device.hpp"
#endif

#include <string.h>
#include <vector>

#include <glib.h>
#include <gmodule.h>

class DriverInfo
{
public:
                    DriverInfo          ();
                   ~DriverInfo          ();
   void             generateDriverInfo  ();
   vector<string>   getDeviceList       ();
   int              openDevice          (char            *pszFullDeviceName,
                                         char            *pszJobProperties);
   int              closeDevice         ();
   Driver           getDriver           ();

private:
   void             translateAndPush    (vector<string>&  list,
                                         char            *pszKey,
                                         char            *pszValue);
   bool             listValues          (char            *pszKey,
                                         vector<string>&  listExternal,
                                         vector<string>&  listInternal);

   Device                *pDevice_d;
#ifndef PDC
   GModule               *hmodDevice_d;
#endif

   Driver                 driver_d;

   vector<DriverProperty> dps_d;
};

#endif
