/*
 *   IBM Omni driver
 *   Copyright (c) International Business Machines Corp., 2000
 *
 *   This library is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU Lesser General Public License as published
 *   by the Free Software Foundation; either version 2.1 of the License, or
 *   (at your option) any later version.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See
 *   the GNU Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public License
 *   along with this library; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
#include "Omni.hpp"

int
main (int argc, char *argv[])
{
   GModule *hDevice = 0;
   int      rc      = 1;

   if (argc != 3)
   {
      return rc;
   }

   hDevice = g_module_open (argv[1], (GModuleFlags)0);

   if (hDevice)
   {
      if (Omni::libraryValid (hDevice, argv[2]))
      {
         rc = 0;
      }

      g_module_close (hDevice);
   }

   return rc;
}
