/*
 *   IBM Omni driver
 *   Copyright (c) International Business Machines Corp., 2000
 *
 *   This library is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU Lesser General Public License as published
 *   by the Free Software Foundation; either version 2.1 of the License, or
 *   (at your option) any later version.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See
 *   the GNU Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public License
 *   along with this library; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
#include "PDL.hpp"

PDL::
PDL (int iPDLLevel,
     int iPDLSubLevel,
     int iMajorRevisionLevel,
     int iMinorRevisionLevel)
{
   iPDLLevel_d           = iPDLLevel;
   iPDLSubLevel_d        = iPDLSubLevel;
   iMajorRevisionLevel_d = iMajorRevisionLevel;
   iMinorRevisionLevel_d = iMinorRevisionLevel;
}

int PDL::
getPDLLevel ()
{
   return iPDLLevel_d;
}

int PDL::
getPDLSubLevel ()
{
   return iPDLSubLevel_d;
}

int PDL::
getPDLMajorRevisionLevel ()
{
   return iMajorRevisionLevel_d;
}

int PDL::
getPDLMinorRevisionLevel ()
{
   return iMinorRevisionLevel_d;
}
