Summary: The Omni Print Driver Framework
Name: OmniAll
Version: 0.6.1omni
Release: 4
Provides: Omni = %{version}-%{release}
License: LGPL
URL: http://oss.software.ibm.com/developer/opensource/linux/projects/omni/
Group: Applications/Publishing
Source0: http://prdownloads.sourceforge.net/omniprint/Omni-0.6.1.tar.gz

BuildRoot: %{_tmppath}/Omni-%{version}-root

%description
The Omni printer driver provides support for over 300 printers using
the Ghostscript framework. In addition, it provides a model for dynamically
loading printer drivers, creating new devices by editing device description
files, and simplifies new printer driver development by allowing for the
subclassing of previous device features.

%package foomatic
Summary: Foomatic data for The Omni Print Driver Framework
Group: System/Libraries
Requires: Omni = %{version}-%{release}, foomatic

%description foomatic
Foomatic driver meta information for the Omni Print Driver framework.

%prep
%setup -q -n Omni

%build
	# Make the omni libs
	make retail=1

%install
	rm -rf $RPM_BUILD_ROOT
	mkdir -p $RPM_BUILD_ROOT

	make INSTALLROOT=$RPM_BUILD_ROOT/opt/Omni \
		FOOMATICROOT=$RPM_BUILD_ROOT/usr/share/foomatic/db/source \
		install

%clean
	rm -rf $RPM_BUILD_ROOT

%post
	# add /opt/Omni/lib to /etc/ld.so.conf
	if ! grep /opt/Omni/lib /etc/ld.so.conf >/dev/null 2>&1; then \
		/bin/cp /etc/ld.so.conf /etc/ld.so.conf.preomni; \
		echo /opt/Omni/lib >> /etc/ld.so.conf; \
		ldconfig; \
	fi
	# add /opt/Omni/bin to /etc/profile
	if ! grep /opt/Omni/bin /etc/profile >/dev/null 2>&1; then \
		/bin/cp /etc/profile /etc/profile.preomni; \
		echo export PATH=\$PATH:/opt/Omni/bin >> /etc/profile; \
	fi
	# check for old omni installation
	if [ -d /usr/lib/Omni ]; then \
		/bin/rm -rf /usr/lib/Omni;
	fi
	# warn the user
	echo "The PATH needs to be changed.  Please open a new shell."

%postun
	# remove /opt/Omni/lib to /etc/ld.so.conf
	if grep /opt/Omni/lib /etc/ld.so.conf >/dev/null 2>&1; then \
		/bin/cp /etc/ld.so.conf /etc/ld.so.conf.postomni; \
		sed '/\/opt\/Omni\/lib/d' /etc/ld.so.conf > /tmp/$$; \
		/bin/cp /tmp/$$ /etc/ld.so.conf; \
		/bin/rm /tmp/$$; \
		ldconfig; \
	fi
	# remove /opt/Omni/bin to /etc/profile
	if grep /opt/Omni/bin /etc/profile >/dev/null 2>&1; then \
		/bin/cp /etc/profile /etc/profile.postomni; \
		sed '/\/opt\/Omni\/bin/d' /etc/profile > /tmp/$$; \
		/bin/cp /tmp/$$ /etc/profile.conf; \
		/bin/rm /tmp/$$; \
	fi

%post foomatic
	# zap the cache
	rm -rf /var/cache/foomatic/{pcache,compiled}/*

%files
%defattr(-,root,root)
/opt/Omni/*

%files foomatic
%defattr(-,root,root)
/usr/share/foomatic/db/*/*

%changelog
* Mon Mar  4 2002 Mark Hamzy <hamzy@us.ibm.com>	0.6.1omni
- added support for Omni-0.6.1
- omni installs in /opt/Omni for LSB
- cache was misspelled

* Thu Oct 25 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.5.0-4
- zap the foomatic cache on install

* Thu Oct 18 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.5.0-2
- patch to make omni seek in /usr/lib/Omni and /opt/Omni/bin

* Mon Oct 15 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.5.0-1
- initial packaging
