/*
 *   IBM Omni driver
 *   Copyright (c) International Business Machines Corp., 2000
 *
 *   This library is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU Lesser General Public License as published
 *   by the Free Software Foundation; either version 2.1 of the License, or
 *   (at your option) any later version.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See
 *   the GNU Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public License
 *   along with this library; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
#ifndef _UPDF_DeviceOrientation
#define _UPDF_DeviceOrientation

#include <DeviceOrientation.hpp>
#include <UPDF_Device.hpp>

class UPDF_DeviceOrientation : public DeviceOrientation
{
public:
                              UPDF_DeviceOrientation   (Device                       *pDevice,
                                                        int                           id,
                                                        xmlNodePtr                    node);
   virtual                   ~UPDF_DeviceOrientation   ();

   static DeviceOrientation  *create                   (Device                       *pDevice,
                                                        int                           id);
   static DeviceOrientation  *create                   (Device                       *pDevice,
                                                        char                         *pszId);

   virtual char              *getDeviceID              ();

   virtual bool               isOrientationSupported   (int                           id);

   virtual Enumeration       *getEnumeration           ();

   virtual string             toString                 (ostringstream&                oss);
   friend ostream&            operator<<               (ostream&                      os,
                                                        const UPDF_DeviceOrientation& self);

protected:
   virtual DeviceOrientation *createV                  (int                           id);

private:
   static xmlNodePtr          findOrientations         (UPDF_Device                  *pUPDFDevice);

   xmlNodePtr node_d;
};

#endif
