/*
 *   IBM Omni driver
 *   Copyright (c) International Business Machines Corp., 2000
 *
 *   This library is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU Lesser General Public License as published
 *   by the Free Software Foundation; either version 2.1 of the License, or
 *   (at your option) any later version.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See
 *   the GNU Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public License
 *   along with this library; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
#ifndef _UPDF_DeviceTray
#define _UPDF_DeviceTray

#include <DeviceTray.hpp>
#include <UPDF_Device.hpp>

class UPDF_DeviceTray : public DeviceTray
{
public:
                        UPDF_DeviceTray   (Device                *pDevice,
                                           int                    id,
                                           int                    iType,
                                           BinaryData            *data,
                                           xmlNodePtr             node);
   virtual             ~UPDF_DeviceTray   ();

   static DeviceTray   *create            (Device                *pDevice,
                                           int                    id);
   static DeviceTray   *create            (Device                *pDevice,
                                           char                  *pszId);

   virtual char        *getDeviceID       ();

   virtual bool         isTraySupported   (int                    id);

   virtual Enumeration *getEnumeration    ();

   virtual string       toString          (ostringstream&         oss);
   friend ostream&      operator<<        (ostream&               os,
                                           const UPDF_DeviceTray& self);

protected:
   virtual DeviceTray  *createV           (int                    id);

private:
   static xmlNodePtr    findTrays         (UPDF_Device           *pUPDFDevice);

   xmlNodePtr node_d;
};

#endif
